Menu

## Footnotes_Hooks

hooks.php : 15

Registers all WordPress hooks and executes them on demand.

##### Tags

since
  1.5.0

### Table of Contents

activate_plugin() : mixed
  Executes when the Plugin is activated.
deactivate_plugin() : mixed
  Executes when the Plugin is deactivated.
get_plugin_links() : array<string|int, string>
  Appends the Plugin links for display in the dashboard “Plugins” page.
register_hooks() : mixed
  Registers all WordPress hooks.

### Methods

#### activate_plugin()

hooks.php : 35

Executes when the Plugin is activated.

`public static activate_plugin() : mixed`

Currently a no-op placeholder.

##### Tags

since
  1.5.0

##### Return values

mixed —

#### deactivate_plugin()

hooks.php : 46

Executes when the Plugin is deactivated.

`public static deactivate_plugin() : mixed`

Currently a no-op placeholder.

##### Tags

since
  1.5.0

##### Return values

mixed —

#### get_plugin_links()

hooks.php : 57

Appends the Plugin links for display in the dashboard “Plugins” page.

`public static get_plugin_links(array<string|int, mixed> $plugin_links) : array<string|int, string>`

##### Parameters

$plugin_links : array<string|int, mixed>

  The WP-default set of links to display.

##### Tags

since
  1.5.0

##### Return values

array<string|int, string> —

The full set of links to display.

#### register_hooks()

hooks.php : 22

Registers all WordPress hooks.

`public static register_hooks() : mixed`

##### Tags

since
  1.5.0

##### Return values

mixed —

## Search results